Bug 561459 - Review Request: jgrapht - A free Java graph library that provides mathematical graph objs and algorithms
Summary: Review Request: jgrapht - A free Java graph library that provides mathematica...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 561484
TreeView+ depends on / blocked
 
Reported: 2010-02-03 17:27 UTC by Mo Morsi
Modified: 2010-05-18 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 21:57:18 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-02-03 17:27:11 UTC
Spec URL: http://mo.morsi.org/files/jruby/jgrapht.spec
SRPM URL: http://mo.morsi.org/files/jruby/jgrapht-0.8.1-1.fc12.src.rpm
Description: 
JGraphT is a free Java graph library that provides mathematical graph-theory 
objects and algorithms.

Required by JRuby.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1959860

$rpmlint  rpmbuild/RPMS/noarch/jgrapht-0.8.1-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint  rpmbuild/RPMS/noarch/jgrapht-javadoc-0.8.1-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint  rpmbuild/SRPMS/jgrapht-0.8.1-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Alexander Kurtakov 2010-04-23 10:13:26 UTC
I'm taking this one.

Comment 2 Alexander Kurtakov 2010-04-23 12:11:44 UTC
Review:

OK: rpmlint must be run on every package. The output should be posted in the review.Output:
jgrapht.noarch: W: spelling-error Summary(en_US) objs -> obj, obs, jobs
jgrapht-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
Minor issue but objs should be objects.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible.
NOT OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

md5sum is different

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Separate javadoc subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

One problem md5sum is different.

Comment 3 Mo Morsi 2010-04-27 21:29:02 UTC
Updated, md5sum issue resolved.

New spec / srpm:
http://mo.morsi.org/files/jruby/jgrapht.spec
http://mo.morsi.org/files/jruby/jgrapht-0.8.1-2.fc11.src.rpm

Comment 4 Alexander Kurtakov 2010-04-28 14:24:53 UTC
Thanks,

This package is APPROVED.

Comment 5 Mo Morsi 2010-04-29 14:46:48 UTC
New Package CVS Request
=======================
Package Name: jgrapht
Short Description: A free Java graph library that provides mathematical graph-theory objects and algorithms.
Owners: mmorsi
Branches: F-11 F-12 F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-04-30 17:41:52 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Alexander Kurtakov 2010-05-14 15:47:49 UTC
Can we close this now?
http://koji.fedoraproject.org/koji/packageinfo?packageID=10275


Note You need to log in before you can comment on or make changes to this bug.